org.bouncycastle.asn1.ocsp

## Class SingleResponse

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ocsp.SingleResponse

All Implemented Interfaces:
  DEREncodable

    public class SingleResponse
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SingleResponse(ASN1Sequence seq)`
`SingleResponse(CertID certID, CertStatus certStatus, DERGeneralizedTime thisUpdate, DERGeneralizedTime nextUpdate, X509Extensions singleExtensions)`

### Method Summary

Methods
`CertID` `getCertID()`
`CertStatus` `getCertStatus()`
`static SingleResponse` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static SingleResponse` `getInstance(java.lang.Object obj)`
`DERGeneralizedTime` `getNextUpdate()`
`X509Extensions` `getSingleExtensions()`
`DERGeneralizedTime` `getThisUpdate()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleResponse

    public SingleResponse(CertID certID,
                  CertStatus certStatus,
                  DERGeneralizedTime thisUpdate,
                  DERGeneralizedTime nextUpdate,
                  X509Extensions singleExtensions)

#### SingleResponse

    public SingleResponse(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static SingleResponse getInstance(ASN1TaggedObject obj,
                             boolean explicit)

#### getInstance

    public static SingleResponse getInstance(java.lang.Object obj)

#### getCertID

    public CertID getCertID()

#### getCertStatus

    public CertStatus getCertStatus()

#### getThisUpdate

    public DERGeneralizedTime getThisUpdate()

#### getNextUpdate

    public DERGeneralizedTime getNextUpdate()

#### getSingleExtensions

    public X509Extensions getSingleExtensions()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

      SingleResponse ::= SEQUENCE {
              certID                       CertID,
              certStatus                   CertStatus,
              thisUpdate                   GeneralizedTime,
              nextUpdate         [0]       EXPLICIT GeneralizedTime OPTIONAL,
              singleExtensions   [1]       EXPLICIT Extensions OPTIONAL }

Specified by:
  `toASN1Object` in class `ASN1Encodable`